<?php

class m130827_145334_add_plate_list_mode extends MyDbMigration
{
	public function up()
	{
		if ($this->dbConnection->schema->getTable('plate_list')->getColumn('mode') == null)
			$this->addColumn('plate_list', 'mode', 'string');		
	}

	public function down()
	{
		
		if ($this->dbConnection->schema->getTable('plate_list')->getColumn('mode') != null)
			$this->dropColumn('plate_list', 'mode', 'string');	
		
		return true;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}